We no longer support iOS 6 or iOS 7

Just a quick update on the software we do and don't support.

With iOS 9 due out in the coming months we have made the decision to now only support iOS 8.  The latest updates of our iPhone app GetHomeSafe - Personal (versions 1.1.4 and 1.1.3) will not work on iOS 6 or iOS 7. If you are still running either of these it is time to update to iOS 8!  We do appreciate that it is a big update and takes up a lot of memory of some older phones like the iPhone 4, however it is worth it. 

Our Android app GetHomeSafe - Personal is supported on Android 4.0 or newer and GetHomeSafe - Corporate will be on iOS 8 only as well when it is released shortly.

If you have any questions please contact us, we are always happy to answer any questions.